Create a post draft from carousel
curl --request POST \
--url https://app.autoposting.ai/api-proxy/carousels/{carouselId}/create-draft \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"brandSlug": "acme-corp",
"platforms": [
"linkedin"
],
"caption": "<string>"
}
'import requests
url = "https://app.autoposting.ai/api-proxy/carousels/{carouselId}/create-draft"
payload = {
"brandSlug": "acme-corp",
"platforms": ["linkedin"],
"caption": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({brandSlug: 'acme-corp', platforms: ['linkedin'], caption: '<string>'})
};
fetch('https://app.autoposting.ai/api-proxy/carousels/{carouselId}/create-draft', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"postId": "post_01HXYZ",
"status": "draft",
"mediaUrls": [
"https://cdn.autoposting.ai/carousels/car_01HXYZ_slide_01.png"
]
}
}{
"success": false,
"error": "Unauthorized",
"message": "Authentication required."
}Carousels
Create a post draft from carousel
Renders the carousel as a PDF/image set and creates a post draft pre-populated with the media.
POST
/
carousels
/
{carouselId}
/
create-draft
Create a post draft from carousel
Authorizations
bearerAuthapiKeyHeader
API key as Authorization: Bearer sk-social-...
Path Parameters
Carousel ID.
Example:
"car_01HXYZ"
Body
application/json
Was this page helpful?
⌘I

